Package org.apache.sysds.runtime.ooc.memory

# Interface MemoryBroker

All Known Implementing Classes:
  `GlobalMemoryBroker`

public interface MemoryBroker

## Method Summary

Modifier and Type
Method
Description
`void`
`attachAllowance(MemoryAllowance allowance)`
`void`
`destroyAllowance(MemoryAllowance allowance, long freedMemory)`
`void`
`freeMemory(MemoryAllowance allowance, long freedMemory)`
`long`
`requestMemory(MemoryAllowance allowance, long minSize, long maxSize)`
`void`
`shutdownAllowance(MemoryAllowance allowance)`

## Method Details

### requestMemory

long requestMemory(MemoryAllowance allowance, long minSize, long maxSize)

### freeMemory

void freeMemory(MemoryAllowance allowance, long freedMemory)

### shutdownAllowance

void shutdownAllowance(MemoryAllowance allowance)

### destroyAllowance

void destroyAllowance(MemoryAllowance allowance, long freedMemory)

### attachAllowance

void attachAllowance(MemoryAllowance allowance)